For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
AI Hub
OverviewApp editorFlow editorAdminAPI & SDK
OverviewApp editorFlow editorAdminAPI & SDK
  • Overview
    • Using the API and SDK
    • Authorization
    • Response statuses
  • API & SDK guides
    • Run automation apps by SDK
  • API reference
      • POSTCreate batch
      • GETList batches
      • GETGet batch information
      • DELDelete batch
      • PUTUpload file to batch
      • GETList files in a batch
      • DELDelete file from batch
      • GETPoll batches job
      • POSTStart multipart upload session
      • PUTUpload part to multipart session
      • POSTCommit or abort multipart session
  • Legacy APIs
    • Job status
    • Run apps
    • Run results
    • Mount
AI Hub
API referenceBatches

Get batch information

GET
https://aihub.instabase.com/api/v2/batches/:batch_id
GET
/api/v2/batches/:batch_id
$curl "${API_ROOT}/v2/batches/<BATCH-ID>" \
> -H "Authorization: Bearer ${API_TOKEN}" \
> -H "IB-Context: ${IB_CONTEXT}"
1{
2 "id": 98765,
3 "name": "Invoice Processing Batch April 2024",
4 "workspace": "finance_team_workspace",
5 "mount_point": "shared_drive_finance",
6 "repo_owner": "finance_dept",
7 "batch_owner": "alice.smith",
8 "created_at_ms": 1711804800000,
9 "updated_at_ms": 1712399600000,
10 "path_suffix": "batches/invoice_april_2024"
11}
Retrieve information about a batch.
Was this page helpful?
Previous

Delete batch

Next
Built with

Authentication

AuthorizationBearer
Bearer HTTP authentication.

Path parameters

batch_idintegerRequired
The batch ID.

Headers

IB-ContextstringOptional

Typically your organization ID. See Authorization and context identification for details.

Response

Batch successfully retrieved.
idinteger
The batch ID.
namestring
The batch name.
workspacestring
The name of the workspace in which the batch exists.
mount_pointstring
The name of the connected drive in which the batch is stored.
repo_ownerstring

The owner of the workspace (also known as the repo) in which the batch exists.

batch_ownerstring
Username of the user that created the batch.
created_at_mslong
When the batch was created, in Unix time milliseconds.
updated_at_mslong
When the batch was last updated, in Unix time milliseconds.
path_suffixstring
Batch path suffix from the mount point.

Errors

404
Not Found Error